# Uses of Class
it.tdlight.jni.TdApi.KeyboardButton

## Uses of TdApi.KeyboardButton in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.KeyboardButton
Modifier and Type
Field
Description
`TdApi.KeyboardButton[][]`
TdApi.ReplyMarkupShowKeyboard.`rows`
A list of rows of bot keyboard buttons.
Constructors in it.tdlight.jni with parameters of type TdApi.KeyboardButton
Modifier
Constructor
Description
``
`ReplyMarkupShowKeyboard(TdApi.KeyboardButton[][] rows, boolean isPersistent, boolean resizeKeyboard, boolean oneTime, boolean isPersonal, String inputFieldPlaceholder)`
Contains a custom keyboard layout to quickly reply to bots.